Subject: Re: bug#11941: 24.1.50; Error in debbugs-gnu with gnus-inews-do-gcc

From: Lars Ingebrigtsen <[email-masked]>
Date: Tue, 25 Dec 2012 18:28:03 +0100

Chong Yidong <[email-masked]> writes:

> When I reply to you via Gnus, the Gcc header is
>
>   Gcc: nnfolder+archive:sent.2012-09
>
> Similarly, on Emacs 24.2 when I respond from a debbugs group, the Gcc
> header is also
>
>   Gcc: nnfolder+archive:sent.2012-09
>
> On trunk, when I respond from a debbugs group, the Gcc header is the
> faulty one given above.

The Gcc header is inserted by `gnus-inews-insert-gcc'.  I've traced
through the function, and the following form is the one evaluated to
insert the group name.

(gnus-group-prefixed-name "sent.2012-09" gnus-message-archive-method)

What does it eval to for you?

-- 
(domestic pets only, the antidote for overdose, milk.)
  http://lars.ingebrigtsen.no  *  Lars Magne Ingebrigtsen